# 32/64bit spec
#
%define name kalos
%define version 4.14
%define release %mkrel 2

Summary:    	Kalos - Greek Dictionary
Summary(de):	Kalos - Griechisches Wörterbuch
Name:       	%{name}
Version:    	%{version}
Release:    	%{release}
Group:      	Office
License:    	GPL
URL:        	http://www.kalos-software.com
Source0:     	http://www.kalos-software.com/%{name}-%{version}.tar.xz
Source1:        %{name}.png
Requires:     	java
BuildArch:      noarch
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
Obsoletes: 	%name < %version



%description
Kalós is a free Classic Greek Dictionary, trilingual, with definitions 
in English, French and Spanish. It contains approximately 25,000 entries.
 
%description -l de
Kalós ist ein freies Wörterbuch für klassisches Griechisch, dreisprachig, mit 
Definitionen in Englisch, Französisch und Spanisch. Es beinhaltet annähernd 
25.000 Einträge.

%prep

%setup -n %{name}-%{version}


%install

export DONT_STRIP=1

rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/%{name}/lib
cp -af * %{buildroot}%{_libdir}/%{name}/

#icons
mkdir -p %buildroot%_miconsdir \
         %buildroot%_liconsdir \
         %buildroot%_iconsdir
cp -af %SOURCE1 %buildroot/
convert  %SOURCE1 -resize 16x16 %buildroot%{_miconsdir}/%{name}.png
convert %SOURCE1 -resize 32x32 %buildroot%{_iconsdir}/%{name}.png
convert %SOURCE1 -resize 48x48 %buildroot%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -af %buildroot%{_liconsdir}/%{name}.png %{buildroot}%{_datadir}/pixmaps/

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_libdir/%{name}
java -jar kalos.jar
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Kalos
Comment=Greek Dictionary
Comment[de]=Griechisch Wörterbuch
Exec=%{name}
Icon=%{name}
Terminal=0
Type=Application
Categories=Office;Dictionary;X-MandrivaLinux-Office-Accessories;
EOF

rm -rf %{buildroot}/%{name}.png

%clean
rm -rf %{buildroot}


%post
%{update_menus}


%postun
%{clean_menus}

%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_libdir}/%{name}/*

%changelog
* Tue Mar 05 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 4.14-2pclos2013
- 32bit build
- added german summary, description and comment in desktop file

* Tue Nov 20 2012 Neal <nealbrks0 at gmail dot com> 4.14-1pclos2012
- process

* Sat Nov 17 2012 Ken <lxgator@gmail.com> 4.14-1pclos2012
- first build
